Compiling on Mac / Mavericks

For code related discussions and questions
Post Reply
Stu
Greenhorn
Posts: 12
Joined: 26 Aug 2013, 02:03

Compiling on Mac / Mavericks

Post by Stu » 15 Dec 2013, 23:18

Hello All,
Trying to compile on the Macintosh, but because:

- it was mentioned on the release announcments, and I'd like to help, if my help actually is, well, helpful :)
- I added a multiplayer pause feature to linux & windows, and I'd like to try it out on the Mac too (it's a simple one-liner, but just going through the process now).

Anyways, so I dug up my old 2011 Mac mini, updated it, downloaded the source via git, got xcode, ran the script on the instructions (and realized I shouldn't have downloaded directly via git :) ).. installed gettext via ports, and got:

In file included from /Users/stu/Projects/warzone/wzmaster/macosx/external/QT/QtCore.framework/Headers/qchar.h:45:
/Users/stu/Projects/warzone/wzmaster/macosx/external/QT/QtCore.framework/Headers/qglobal.h:331:6: warning: "This
version of Mac OS X is unsupported" [-W#warnings]
# warning "This version of Mac OS X is unsupported"
^
1 warning generated.

** BUILD FAILED **


The following build commands failed:
CompileC build/Warzone.build/Release/Warzone.build/Objects-normal/x86_64/scrap.o /Users/stu/Projects/warzone/wzmaster/lib/sdl/scrap.cpp normal x86_64 c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)
The build has failed with the preceding error.


Oops ... ! Should I not have updated? The App Store wouldn't let me download xcode until I did..

Should I try to get it to work on Mavericks? What is the reason that it's not supported?
The external folder, strangely, was gone after the build, it looks like it gets cleaned out.
The error looks like it originates from QT, so should I download the QT5 tarball, drop that over the QT4 tarball, check the command script, and try again?
Or is that the wrong approach?

FYI: I can't promise quick results, I'm not an expert on Macs (I prefer linux), but I am persistent:

viewtopic.php?f=32&t=11203

;)

Hopefully I can help!

Take care,
-stu

User avatar
vexed
Inactive
Inactive
Posts: 2461
Joined: 27 Jul 2010, 02:07

Re: Compiling on Mac / Mavericks

Post by vexed » 16 Dec 2013, 04:46

QT5 will *not* work with Warzone. It needs fixing.
I think the reason the older mac xcode don't work is, it is 64bit only now.

That is about all I know about mac builds. I suggest you check out viewtopic.php?f=6&t=11463 for someone who might know you need to do.
/facepalm ...Grinch stole Warzone🙈🙉🙊 contra principia negantem non est disputandum
Super busy, don't expect a timely reply back.

Stu
Greenhorn
Posts: 12
Joined: 26 Aug 2013, 02:03

Re: Compiling on Mac / Mavericks

Post by Stu » 16 Dec 2013, 09:14

Cool. Thanks! I'll fiddle around some.

Is there a desire to move to QT5?

I noticed here:
http://wz2100.net/news/warzone-2100-ver ... -released/

The release post called out for someone to do mac builds and "help with the migration to QT5".

Or is that a different thing?
Just making sure I'm getting started down the right path..
Sounds like it's going to be interesting either way...

Take care,
-stu

Per
Warzone 2100 Team Member
Warzone 2100 Team Member
Posts: 3750
Joined: 03 Aug 2006, 19:39

Re: Compiling on Mac / Mavericks

Post by Per » 16 Dec 2013, 21:04

Yes, there is definitely a desire to move to Qt5. However, it will require more than just compile changes, since Qt5 is different than Qt4, and some of the things we have been (ab)using is no longer present, like the virtual filesystem. Among other things, we need to write our own ini file parser to replace QSettings.

Post Reply